> ## Documentation Index
> Fetch the complete documentation index at: https://guide.rolodexcrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Workspace Users

## `GET` Workspace users

`GET` `/user-api/v1/workspace-users`

### Headers

| Header              | Value               |
| ------------------- | ------------------- |
| `x-rolodex-api-key` | `f1e2d3c4b5a697...` |

### Query Parameters

<ParamField path="limit" type="string">
  Set a limit to the number of records to return (Default:25)
</ParamField>

<ParamField path="offset" type="string">
  Number of records to skip
</ParamField>

<ParamField path="order_by" type="string">
  Sort order: `created_at:asc`, `created_at:desc`
</ParamField>

### Response

```json theme={null}
{
  "pagination": {
    "limit": 25,
    "offset": 0,
    "total": 8
  },
  "data": [
    {
      "id": "workspace_user_12345",
      "workspace_id": "workspace_abc123",
      "full_name": "John Doe",
      "first_name": "John",
      "last_name": "Doe",
      "email": "john.doe@company.com",
      "avatar_url": "https://example.com/avatars/john.jpg",
      "role": "ADMIN",
      "created_at": "2025-01-15T10:30:00Z"
    },
    {
      "id": "workspace_user_67890",
      "workspace_id": "workspace_abc123",
      "full_name": "Jane Smith",
      "first_name": "Jane",
      "last_name": "Smith",
      "email": "jane.smith@company.com",
      "avatar_url": "https://example.com/avatars/jane.jpg",
      "role": "USER",
      "created_at": "2025-01-14T09:15:00Z"
    },
    {
      "id": "workspace_user_11111",
      "workspace_id": "workspace_abc123",
      "full_name": "Bob Johnson",
      "first_name": "Bob",
      "last_name": "Johnson",
      "email": "bob.johnson@company.com",
      "avatar_url": null,
      "role": "USER",
      "created_at": "2025-01-13T14:22:00Z"
    }
  ]
}
```

### With Pagination

`GET` `/user-api/v1/workspace-users?limit=5&offset=10&order_by=created_at:desc`

### Response with pagination

```json theme={null}
{
  "pagination": {
    "limit": 5,
    "offset": 10,
    "total": 8
  },
  "data": [
    {
      "id": "workspace_user_22222",
      "workspace_id": "workspace_abc123",
      "full_name": "Alice Wilson",
      "first_name": "Alice",
      "last_name": "Wilson",
      "email": "alice.wilson@company.com",
      "avatar_url": "https://example.com/avatars/alice.jpg",
      "role": "USER",
      "created_at": "2025-01-12T11:45:00Z"
    }
  ]
}
```

## `GET` a Workspace user

`GET` `/user-api/v1/workspace-users/:id`

### Headers

| Header              | Value               |
| ------------------- | ------------------- |
| `x-rolodex-api-key` | `f1e2d3c4b5a697...` |

### Path Parameters

<ParamField path="id" type="string">
  Workspace User ID
</ParamField>

### Endpoint Example

`GET` `/user-api/v1/workspace-users/workspace_user_12345`

### Response

```json theme={null}
{
  "data": {
    "id": "workspace_user_12345",
    "workspace_id": "workspace_abc123",
    "full_name": "John Doe",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john.doe@company.com",
    "avatar_url": "https://example.com/avatars/john.jpg",
    "role": "ADMIN",
    "created_at": "2025-01-15T10:30:00Z"
  }
}
```

## User Roles

| **Role** | **Description**                                                     |
| -------- | ------------------------------------------------------------------- |
| `ADMIN`  | Administrative privileges - can manage workspace settings and users |
| `USER`   | Standard user privileges - default role for new workspace users     |

## Response Fields

| Field          | Type         | Description                                      |
| -------------- | ------------ | ------------------------------------------------ |
| `id`           | string       | Unique workspace user identifier                 |
| `workspace_id` | string       | Workspace identifier                             |
| `full_name`    | string       | User's full name                                 |
| `first_name`   | string       | User's first name                                |
| `last_name`    | string       | User's last name                                 |
| `email`        | string       | User's email address                             |
| `avatar_url`   | string\|null | URL to user's avatar image                       |
| `role`         | string       | User's role in the workspace (`ADMIN` or `USER`) |
| `created_at`   | string       | ISO datetime when user was added to workspace    |
